> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# allpreferencekeys

> MDO Provider that retrieves all preference keys

## "allpreferencekeys" MDO List

MDO Provider that retrieves all preference keys

All preferences that are not sections are returned, grouped alphabetically.
If addidionalInfo contains OrderBySection, it is first grouped alphabetically by section.
If addidionalInfo contains crmgui and/or admingui, only preferences with any of the named access
flags are returned (default, when neither is given: crmgui OR admingui).
Preferences that have list of values are bolded.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.AllPreferenceKeysProvider">AllPreferenceKeysProvider</see> class.
The name of the MDO list is 'allpreferencekeys'.

## Additional Attributes

| Description                                                                                                                                                                                     | Name | Example Value  |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---- | -------------- |
| Optional ';'-separated tokens: OrderBySection to group alphabetically by section; crmgui and/or admingui to restrict to preferences that have any of the named GUI access flags (default: both) |      | OrderBySection |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/allpreferencekeys
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("allpreferencekeys", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id      | Name                                                     | StyleHint | ExtraInfo                        |
| ------- | -------------------------------------------------------- | --------- | -------------------------------- |
| 1000105 | Use academic title                                       |           | \[SR\_PD\_Functions\_NAME]       |
| 1000521 | Enable sounds                                            | bold      | \[SR\_PD\_Visual\_NAME]          |
| 1000163 | Address separator                                        | bold      | \[SR\_PD\_Mail\_NAME]            |
| 1000068 | Alarm on follow-up                                       |           | \[SR\_PD\_DiaryView\_NAME]       |
| 1000071 | All-day end time                                         | bold      | \[SR\_PD\_DiaryView\_NAME]       |
| 1000070 | All-day start time                                       | bold      | \[SR\_PD\_DiaryView\_NAME]       |
| 1000548 | Allow LeadFeeder usage                                   | bold      | \[SR\_PD\_AI\_NAME]              |
| 1000550 | Allow Workspace Assistant access to the web.             |           | \[SR\_PD\_Copilot\_NAME]         |
| 1000444 | Anonymise users on reply                                 |           | \[SR\_PD\_serviceSettings\_NAME] |
| 1000164 | Archive sent follow-ups                                  |           | \[SR\_PD\_Mail\_NAME]            |
| 1000165 | Archive sent documents                                   |           | \[SR\_PD\_Mail\_NAME]            |
| 1000166 | Archive forwarded e-mail                                 |           | \[SR\_PD\_Mail\_NAME]            |
| 1000106 | Archive page size                                        |           | \[SR\_PD\_Functions\_NAME]       |
| 1000167 | Archive replies                                          |           | \[SR\_PD\_Mail\_NAME]            |
| 1000168 | Archive all e-mail                                       | bold      | \[SR\_PD\_Mail\_NAME]            |
| 1000169 | Auto-archive e-mails sent from e-mail client.            |           | \[SR\_PD\_Mail\_NAME]            |
| 1000170 | Archive e-mail to associates                             |           | \[SR\_PD\_Mail\_NAME]            |
| 1000107 | Ask to edit or read                                      |           | \[SR\_PD\_Functions\_NAME]       |
| 1000171 | Use iCalendar attachment                                 |           | \[SR\_PD\_Mail\_NAME]            |
| 1000386 | Automatically close tab when adding a message to request | bold      | \[SR\_PD\_request\_NAME]         |
| 1000441 | Automatically create contact for new inbound request     |           | \[SR\_PD\_serviceSettings\_NAME] |

## Related MDO Lists

* "allpreferencekeysheadings"
* "allpreferencekeysheadingswithallitem"
* "allpreferencekeysheadingswithallitemwithnoselection"
* "allpreferencekeysheadingswithnoselection"
* "allpreferencekeyswithallitem"
* "allpreferencekeyswithallitemwithnoselection"
* "allpreferencekeyswithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
